#include <bits/stdc++.h>
using namespace std;
int main()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
int n,br=0;
cin>>n;
set<pair<long long, long long> >setcugica;
vector<pair<long long, long long> > v;
for(int i=0;i<n;i++)
{
long long a,b;
cin>>a>>b;
v.push_back(make_pair(a,b));
}
for(int i=0;i<n;i++)
{
for(int j=0;j<i;j++)
{
setcugica.insert(make_pair(v[i].first-v[j].first,v[i].second-v[j].second));
}
}
for(int i=0;i<n;i++)
{
for(int j=0;j<i;j++)
{
if(setcugica.count(make_pair(2*(v[i].first-v[j].first),2*(v[i].second-v[j].second)))==1)
br++;
if(setcugica.count(make_pair((-2)*(v[i].first-v[j].first),(-2)*(v[i].second-v[j].second)))==1)
br++;
}
}
cout<<br<<endl;
return 0;
}